## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csPrintfFormatter< Twriter, Treader > Class Template Reference
[Utilities]

Templated class for printf()-style string formatting. More...

`#include <csutil/formatter.h>`

List of all members.

## Public Member Functions

| csPrintfFormatter (Treader *reader,...)
| Initialize from a reader and a argument list.
| csPrintfFormatter (Treader *reader, va_list args)
| Initialize from a reader and a argument list.
void | Format (Twriter &writer)
| Do the actual formatting.

## Detailed Description

### template<class Twriter, class Treader>
class csPrintfFormatter< Twriter, Treader >

Templated class for printf()-style string formatting.

Treader provides the format string, Twriter receives the output.

See also:
  Notes about string formatting in Crystal Space

Definition at line 145 of file formatter.h.

## Constructor & Destructor Documentation

template<class Twriter, class Treader>
csPrintfFormatter< Twriter, Treader >::csPrintfFormatter | ( | Treader * | reader,
|  | va_list | args
| ) | `[inline]`

| Initialize from a reader and a argument list. Definition at line 1170 of file formatter.h.

template<class Twriter, class Treader>
csPrintfFormatter< Twriter, Treader >::csPrintfFormatter | ( | Treader * | reader,
|  |  | ...
| ) | `[inline]`

| Initialize from a reader and a argument list. Definition at line 1175 of file formatter.h.

## Member Function Documentation

template<class Twriter, class Treader>
void csPrintfFormatter< Twriter, Treader >::Format | ( | Twriter & | writer | ) | `[inline]`

| Do the actual formatting. Definition at line 1183 of file formatter.h.

The documentation for this class was generated from the following file:

- csutil/formatter.h